Bug 67510 - [patch] Update XFree86 clients to 4.4 release.
Summary: [patch] Update XFree86 clients to 4.4 release.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-06-03 03:30 UTC by Dejan Lesjak
Modified: 2004-08-10 02:50 UTC (History)
0 users

See Also:


Attachments
XFree86-4-clients.diff (13.12 KB, patch)
2004-06-03 03:30 UTC, Dejan Lesjak
no flags Details | Diff
XFree86-4-clients_2.patch (15.62 KB, patch)
2004-07-07 19:06 UTC, Dejan Lesjak
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dejan Lesjak 2004-06-03 03:30:27 UTC
Update XFree86 clients to 4.4 release.
Release notes are available at:
http://www.xfree86.org/4.4.0/RELNOTES.html

added files:
pkg-install
files/patch-programs::fonttosfnt::read.c

removed files:
files/patch-Imake.rules
files/patch-Xres.cpp
files/patch-mkfontscale.c

This should also fix PR ports/56487 (Upgrading Xfree86-clients from ports
overwrites xdm config files) and similar ports/44252 (XFree86-4-Server
port removes/overwrites config files).
Comment 1 Clement Laforet freebsd_committer 2004-06-03 13:00:41 UTC
Responsible Changed
From-To: freebsd-ports-bugs->x11

Over to maintainer(s).
Comment 2 Dejan Lesjak 2004-07-07 19:06:36 UTC
The following things are corrected with this updated patch:
- fix security issue with xdm (http://bugs.xfree86.org/show_bug.cgi?id=1376)
- make this port compile on FreeBSD 4.x 
(http://bugs.xfree86.org/show_bug.cgi?id=1422)
Comment 3 Joe Marcus Clarke freebsd_committer 2004-08-10 02:50:08 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 4 Joe Marcus Clarke freebsd_committer 2004-08-10 02:50:08 UTC
State Changed
From-To: open->closed

Committed, thanks!